## net.sf.saxon.expr
Class ExpressionParser.ForClause

    java.lang.Object
      net.sf.saxon.expr.ExpressionParser.ForClause

Enclosing class:
  ExpressionParser

public static class ExpressionParser.ForClause
extends java.lang.Object

Field Summary
`int` `offset`
`RangeVariableDeclaration` `positionVariable`
`RangeVariableDeclaration` `rangeVariable`
`SequenceType` `requiredType`
`Expression` `sequence`

Constructor Summary
`ExpressionParser.ForClause()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rangeVariable

    public RangeVariableDeclaration rangeVariable

### positionVariable

    public RangeVariableDeclaration positionVariable

### sequence

    public Expression sequence

### requiredType

    public SequenceType requiredType

### offset

    public int offset

Constructor Detail

### ExpressionParser.ForClause

    public ExpressionParser.ForClause()